'''
Created on May 8, 2020

@author: shuangyinli
'''
import matplotlib
import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['figure.figsize'] = 5.0, 4.5

def auto_text(rects):
    for rect in rects:
        plt.text(rect.get_x(), rect.get_height(), rect.get_height(), ha='left', va='bottom')

def auto_text1(rects):
    for rect in rects:
        plt.text(rect.get_x(), rect.get_height(), rect.get_height(), ha='left', va='bottom')

xrange=np.arange(5)

name_list = ['top 1', 'top 2', 'top 3', 'top 4', 'top 5']
num_list = [22.7, 7.6, 4.9, 3.5, 2.8]
num_list2 = [73.0, 10.1, 4.4, 2.9, 1.9]
x = list(range(len(num_list)))
total_width, n = 0.8, 2
width = total_width / n
pbar = plt.bar(x, num_list, width=width, label='DeepPath_TransD', fc='b')

auto_text(pbar)

for i in range(len(x)):
    x[i] += width
pbar2 = plt.bar(x, num_list2, width=width, label='MemoryPath', fc='g')
auto_text(pbar2)

plt.ylabel("Frequency(%)")
plt.xticks(xrange+width/2,name_list)

plt.legend()
#plt.show()


plt.savefig("/Users/huihui/Paper/WritePaper/sci4/figures/frequency-fb.pdf")




